> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get User Email Addresses

> Get all emails for a user



## OpenAPI

````yaml get /v1/user/emails
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/user/emails:
    get:
      tags:
        - user
      summary: ' Get User Email Addresses'
      description: Get all emails for a user
      operationId: _get_user_email_addresses_v1_user_emails_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EmailAddressResponse'
                type: array
                title: Response  Get User Email Addresses V1 User Emails Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    EmailAddressResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          maxLength: 64
          format: email
          title: Email
        verified_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Verified When
        primary:
          type: boolean
          title: Primary
      type: object
      required:
        - id
        - email
        - verified_when
        - primary
      title: EmailAddressResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````